## remmina 1.4.27%2Bdfsg

=== debian/changelog ===
remmina (1.4.27+dfsg-2) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Temporarily stop building the spice plugin
    to prevent remmina from using libsoup2.4 &
    libsoup3 simultaneously (Closes: #1015147)
  * Add minimal debian/gbp.conf

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 29 Jul 2022 22:09:14 +0200

remmina (1.4.27+dfsg-1) unstable; urgency=medium

  * New upstream release
  * debian/control: S-V bump 4.6.0 -> 4.6.1 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 24 Jun 2022 20:52:05 +0200

remmina (1.4.26+dfsg-1) experimental; urgency=medium

  * New upstream release
    - debian/: Python plugin support added

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 22 May 2022 21:14:19 +0200

## remmina 1.4.27+dfsg

=== CMakeLists.txt ===
# Remmina - The GTK+ Remote Desktop Client
#
# Copyright (C) 2011 Marc-Andre Moreau
# Copyright (C) 2014-2015 Antenore Gatta, Fabio Castelli, Giovanni Panozzo
# Copyright (C) 2016-2022 Antenore Gatta, Giovanni Panozzo
#
# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation; either version 2 of the License, or (at your option) any later
# version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 51 Franklin
# Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
# In addition, as a special exception, the copyright holders give permission to
# link the code of portions of this program with the OpenSSL library under
# certain conditions as described in each individual source file, and distribute
# linked combinations including the two. You must obey the GNU General Public
# License in all respects for all of the code used other than OpenSSL. If you
# modify file(s) with this exception, you may extend this exception to your
# version of the file(s), but you are not obligated to do so. If you do not wish
# to do so, delete this exception statement from your version. If you delete
# this exception statement from all source files in the program, then also
# delete it here.

cmake_minimum_required(VERSION 3.10.0)

cmake_policy(SET CMP0048 NEW)

project(
  Remmina
  VERSION 1.4.27
  DESCRIPTION "The Gtk Remote Desktop Client"
  LANGUAGES C CXX
)

list(APPEND CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)
list(APPEND CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake/macros)

set(CMAKE_COLOR_MAKEFILE ON)
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

include(CheckCCompilerFlag)
include(CheckIncludeFiles)
include(CheckLibraryExists)
include(CheckSymbolExists)
include(FindPkgConfig)
include(GNUInstallDirs)

include(FindOptionalPackage)
include(ConfigOptions)
include(GtkUpdateIconCache)
include(CheckHasModule)
include(FindPCRE2)
include(GlibCompileResourcesSupport)
include(FindIntl)

# ---------------------------------------------------------------------
# Package creation with CMake depends on the value of umask - if permissions are
# such that temporary files are created without permissions needed for generated
# packages, the resulting packages may behave badly when installed. In
# particular, RPM packages may improperly reset permissions on core directories
# such as /usr.
function(check_umask umask_val status_var)
  string(REGEX REPLACE "[^x]" "" umask_x "${umask_val}")
  string(REGEX REPLACE "[^r]" "" umask_r "${umask_val}")
  string(LENGTH "${umask_r}" UMASK_HAVE_R)
  set(${status_var}
      0
      PARENT_SCOPE)
  if(UMASK_HAVE_R AND "${umask_x}" STREQUAL "xxx")
    set(${status_var}
        1
        PARENT_SCOPE)
  endif()
endfunction()

find_program(SLEEP_EXEC sleep)
mark_as_advanced(SLEEP_EXEC)
# Note - umask is not always an executable, so find_program wont' necessarily
# determine whether the umask check is appropriate.  If we don't find an
# executable, follow up to see if we can use sh to get the info.
find_program(UMASK_EXEC umask)
mark_as_advanced(UMASK_EXEC)
if(NOT UMASK_EXEC)
  # If we don't have a umask cmd, see if sh -c "umask -S" works
  execute_process(COMMAND sh -c "umask -S" OUTPUT_VARIABLE umask_out)
  # Check if we've got something that looks like a umask output
  if("${umask_out}" MATCHES "^u=.*g=.*o=.*")
    set(UMASK_EXEC sh)
    set(UMASK_EXEC_ARGS -c "umask -S")
  endif()
else()
  set(UMASK_EXEC_ARGS -S)
endif()

if(UMASK_EXEC)
  execute_process(COMMAND ${UMASK_EXEC} ${UMASK_EXEC_ARGS}
                  OUTPUT_VARIABLE umask_curr)
  string(STRIP "${umask_curr}" umask_curr)
  check_umask("${umask_curr}" UMASK_OK)
  if(NOT UMASK_OK)
    message(" ")
    message(
      WARNING
        "\
        umask is set to ${umask_curr} - this setting is not recommended if one\
        of the goals of this build is to generate packages. Use 'umask 022' \
        for improved package behavior.
        ")
    if(SLEEP_EXEC)
      execute_process(COMMAND ${SLEEP_EXEC} 10)
    endif()
  endif()
endif()

if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE "Release")
endif()

if(NOT BUILD_SHARED_LIBS)
  set(BUILD_SHARED_LIBS ON)
endif()

if(CMAKE_COMPILER_IS_GNUCC)
  if(CMAKE_SYSTEM_PROCESSOR MATCHES "x86_64" OR CMAKE_SYSTEM_PROCESSOR MATCHES
                                                "i686")
    check_symbol_exists(__x86_64__ "" IS_X86_64)
    if(IS_X86_64)
      set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fPIC")
    else()
      set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -march=i686")
    endif()
  else()
    if(CMAKE_POSITION_INDEPENDENT_CODE)
      if(${CMAKE_VERSION} VERSION_LESS 2.8.9)
        set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fPIC")
      endif()
    endif()
  endif()

  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall")

  if(WITH_SSE2)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -msse2")
  endif()

  if(CMAKE_BUILD_TYPE STREQUAL "Debug")
    add_definitions(-DDEBUG)
    set(CMAKE_CXX_FLAGS_DEBUG "-O0")
    set(CMAKE_C_FLAGS_DEBUG "-O0")
    check_c_compiler_flag(-Wunused-result Wunused-result)
    if(Wunused-result)
      set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wunused-result")
    endif()
    check_c_compiler_flag(-Wunused-but-set-variable Wunused-but-set-variable)
    if(Wunused-but-set-variable)
      set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wunused-but-set-variable")
    endif()
    check_c_compiler_flag(-Wdeprecated-declarations Wdeprecated-declarations)
    if(Wdeprecated-declarations)
      set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wdeprecated-declarations")
    endif()

    check_c_compiler_flag(-Wimplicit-function-declaration
                          Wimplicit-function-declaration)
    if(Wimplicit-function-declaration)
      set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wimplicit-function-declaration")
    endif()
    if(NOT OPENBSD)
      check_c_compiler_flag(-Wredundant-decls Wredundant-decls)
      if(Wredundant-decls)
        set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wredundant-decls")
      endif()
    endif()
  endif()

  if(CMAKE_BUILD_TYPE STREQUAL "Release")
    add_definitions(-DNDEBUG)
    check_c_compiler_flag(-Wno-unused-result Wno-unused-result)
    if(Wno-unused-result)
      set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-unused-result")
    endif()
    check_c_compiler_flag(-Wno-unused-but-set-variable
                          Wno-unused-but-set-variable)
    if(Wno-unused-but-set-variable)
      set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-unused-but-set-variable")
    endif()
    check_c_compiler_flag(-Wno-deprecated-declarations
                          Wno-deprecated-declarations)
    if(Wno-deprecated-declarations)
      set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-deprecated-declarations")
    endif()

    check_c_compiler_flag(-Wimplicit-function-declaration
                          Wimplicit-function-declaration)
    if(Wimplicit-function-declaration)
      set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wimplicit-function-declaration")
    endif()
    if(NOT OPENBSD)
      check_c_compiler_flag(-Wredundant-decls Wredundant-decls)
      if(Wredundant-decls)
        set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wredundant-decls")
      endif()
    endif()
  else()
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g")
  endif()

endif()

if((TARGET_ARCH MATCHES "x86|x64") AND (NOT DEFINED WITH_SSE2))
  option(WITH_SSE2 "Enable SSE2 optimization." ON)
else()
  option(WITH_SSE2 "Enable SSE2 optimization." OFF)
endif()

if(TARGET_ARCH MATCHES "ARM")
  if(NOT DEFINED WITH_NEON)
    option(WITH_NEON "Enable NEON optimization." ON)
  else()
    option(WITH_NEON "Enable NEON optimization." OFF)
  endif()
else()
  if(NOT APPLE)
    option(WITH_IPP "Use Intel Performance Primitives." OFF)
  endif()
endif()

if(${CMAKE_C_COMPILER_ID} STREQUAL "Clang")
  if(CMAKE_BUILD_TYPE STREQUAL "Release")
    add_definitions(-DNDEBUG)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-unused-parameter")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-unused-macros -Wno-padded")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-c11-extensions -Wno-gnu")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-unused-command-line-argument")
    check_c_compiler_flag(-Wno-deprecated-declarations
                          Wno-deprecated-declarations)
    if(Wno-deprecated-declarations)
      set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-deprecated-declarations")
    endif()
  else()
    add_definitions(-DDEBUG)
    # set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wunused-parameter") set(CMAKE_C_FLAGS
    # "${CMAKE_C_FLAGS} -Wunused-macros -Wpadded") set(CMAKE_C_FLAGS
    # "${CMAKE_C_FLAGS} -Wc11-extensions -Wgnu") set(CMAKE_C_FLAGS
    # "${CMAKE_C_FLAGS} -Wunused-command-line-argument")
    check_c_compiler_flag(-Wdeprecated-declarations Wdeprecated-declarations)
    if(Wdeprecated-declarations)
      set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wdeprecated-declarations")
    endif()
  endif()
endif()

# Figure out no-undefined flag
if(${CMAKE_SYSTEM_NAME} STREQUAL Darwin)
  set(NO_UNDEFINED_FLAG "-Wl,-undefined,error")
elseif((${CMAKE_SYSTEM_NAME} STREQUAL Linux) OR MINGW)
  set(NO_UNDEFINED_FLAG "-Wl,--no-undefined")
else()
  # On OpenBSD this seems to cause problems, so we unset it
  set(NO_UNDEFINED_FLAG "")
endif()
set(CMAKE_SHARED_LINKER_FLAGS
    "${CMAKE_SHARED_LINKER_FLAGS} ${NO_UNDEFINED_FLAG}")

check_include_files(sys/socket.h HAVE_SYS_SOCKET_H)
check_include_files(arpa/inet.h HAVE_ARPA_INET_H)
check_include_files(netinet/in.h HAVE_NETINET_IN_H)
check_include_files(netinet/tcp.h HAVE_NETINET_TCP_H)
check_include_files(termios.h HAVE_TERMIOS_H)
check_include_files(netdb.h HAVE_NETDB_H)
check_include_files(fcntl.h HAVE_FCNTL_H)
check_include_files(unistd.h HAVE_UNISTD_H)
check_include_files(sys/un.h HAVE_SYS_UN_H)
check_include_files(errno.h HAVE_ERRNO_H)

include_directories(.)
include_directories(src/include)

# FreeBSD

if(CMAKE_SYSTEM_NAME MATCHES "FreeBSD")
  set(CMAKE_SHARED_LIBRARY_LINK_C_FLAGS "-rdynamic")
  include_directories(/usr/local/include /usr/include)
  link_directories(/usr/local/lib /usr/lib)
  set(CMAKE_REQUIRED_INCLUDES /usr/local/include)
  set(CMAKE_SHARED_LIBRARY_PREFIX ${CMAKE_SHARED_LIBRARY_PREFIX} /usr/local/lib)
endif()

# Versioning
set(WITH_LIBRARY_VERSIONING "ON")

message(STATUS "Remmina version: ${Remmina_VERSION}")

include(GetGitRevisionDescription)
git_get_exact_tag(REMMINA_GIT_REVISION --tags --always)
if(${REMMINA_GIT_REVISION} STREQUAL "n/a")
  git_rev_parse(REMMINA_GIT_REVISION --short)
endif()

message(STATUS "Git Revision: ${REMMINA_GIT_REVISION}")

# REMMINA_APP_ID should follow Gnome Application ID rules
set(REMMINA_APP_ID "org.remmina.Remmina")

if(NOT REMMINA_DATADIR)
  set(REMMINA_DATADIR "${CMAKE_INSTALL_FULL_DATADIR}")
  if(NOT REMMINA_RUNTIME_DATADIR)
    set(REMMINA_RUNTIME_DATADIR "${REMMINA_DATADIR}")
  endif()
endif()
if(NOT REMMINA_TERM_CS_DIR)
  set(REMMINA_TERM_CS_DIR "${REMMINA_DATADIR}/remmina/theme")
endif()
if(NOT REMMINA_LOCALEDIR)
  set(REMMINA_LOCALEDIR "${CMAKE_INSTALL_FULL_LOCALEDIR}")
  if(NOT REMMINA_RUNTIME_LOCALEDIR)
    set(REMMINA_RUNTIME_LOCALEDIR "${REMMINA_LOCALEDIR}")
  endif()
endif()
if(NOT REMMINA_PLUGINDIR)
  set(REMMINA_PLUGINDIR "${CMAKE_INSTALL_FULL_LIBDIR}/remmina/plugins")
  if(NOT REMMINA_RUNTIME_PLUGINDIR)
    set(REMMINA_RUNTIME_PLUGINDIR "${REMMINA_PLUGINDIR}")
  endif()
endif()
if(NOT REMMINA_UIDIR)
  set(REMMINA_UIDIR "${REMMINA_DATADIR}/remmina/ui")
  if(NOT REMMINA_RUNTIME_UIDIR)
    set(REMMINA_RUNTIME_UIDIR "${REMMINA_UIDIR}")
  endif()
endif()
if(NOT REMMINA_THEMEDIR)
  set(REMMINA_THEMEDIR "${REMMINA_DATADIR}/remmina/theme")
  if(NOT REMMINA_RUNTIME_THEMEDIR)

=== plugins/CMakeLists.txt ===
# Remmina - The GTK+ Remote Desktop Client
#
# Copyright (C) 2011 Marc-Andre Moreau
# Copyright (C) 2014-2015 Antenore Gatta, Fabio Castelli, Giovanni Panozzo
# Copyright (C) 2016-2022 Antenore Gatta, Giovanni Panozzo
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor,
# Boston, MA  02110-1301, USA.
#
# In addition, as a special exception, the copyright holders give
# permission to link the code of portions of this program with the
# OpenSSL library under certain conditions as described in each
# individual source file, and distribute linked combinations
# including the two.
# You must obey the GNU General Public License in all respects
# for all of the code used other than OpenSSL. If you modify
# file(s) with this exception, you may extend this exception to your
# version of the file(s), but you are not obligated to do so. If you
# do not wish to do so, delete this exception statement from your
# version. If you delete this exception statement from all source
# files in the program, then also delete it here.

# Needed FreeRDP version to build freerdp plugin


include_directories(${CMAKE_SOURCE_DIR}/plugins)

set(APPICONSCALE_EMBLEMS_DIR "${REMMINA_DATADIR}/icons/hicolor/scalable/emblems")

set(REMMINA_COMMON_INCLUDE_DIRS ${GTK3_INCLUDE_DIRS})
set(REMMINA_COMMON_LIBRARIES ${GTK_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT})

find_suggested_package(LIBSSH)
if(LIBSSH_FOUND)
    add_definitions(-DHAVE_LIBSSH)
    include_directories(${SSH_INCLUDE_DIRS})
    target_link_libraries(remmina ${SSH_LIBRARIES})
endif()

set(FREERDP_REQUIRED_MAJOR 2)
set(FREERDP_REQUIRED_MINOR 0)
set(FREERDP_REQUIRED_REVISION 0)
set(FREERDP_REQUIRED_VERSIONSTRING
    ${FREERDP_REQUIRED_MAJOR}.${FREERDP_REQUIRED_MINOR}.${FREERDP_REQUIRED_REVISION})
find_package(FREERDP3)
find_package(FREERDP)
if(FREERDP3_FOUND)
    add_definitions(-DWITH_FREERDP3)
    option(WITH_FREERDP3 "Building RDP with FREERDP 3" ON)
    set(FREERDP_REQUIRED_MAJOR 3)
    set(FREERDP_FOUND FREERDP3_FOUND)
    add_subdirectory(rdp)
elseif(FREERDP_FOUND)
    add_subdirectory(rdp)
endif()

# X2Go
option(WITH_X2GO "Build X2Go plugin" OFF)
if(WITH_X2GO)
    message(STATUS "Enabling X2Go plugin.")
    message(AUTHOR_WARNING "pyhoca-cli is needed at runtime, be sure to install it")
    add_subdirectory(x2go)
else()
    message(STATUS "Disabling X2Go plugin.")
endif()

find_suggested_package(LIBVNCSERVER)
if(LIBVNCSERVER_FOUND)
    add_subdirectory(vnc)
endif()

option(WITH_GVNC "Build GVNC plugin" OFF)
if(WITH_GVNC)
    message(STATUS "Enabling GVNC plugin.")
    add_definitions(-DWITH_GVNC)
    find_suggested_package(GTK-VNC)
    if(GTK-VNC_FOUND)
        add_subdirectory(gvnc)
    endif()
else()
    message(STATUS "Disabling GVNC plugin.")
endif()

find_suggested_package(Spice)
if(SPICE_FOUND)
    add_subdirectory(spice)
endif()

option(WITH_WWW "Build WWW plugin" ON)
if(WITH_WWW)
    message(STATUS "Enabling WWW plugin.")
    add_definitions(-DWITH_WWW)
    find_suggested_package(WEBKIT2GTK)
    if(WEBKIT2GTK_FOUND)
        add_subdirectory(www)
    endif()
else()
    message(STATUS "Disabling WWW plugin.")
endif()

if(WITH_EXAMPLES)
    message(STATUS "Enabling examples and test plugins.")
    add_subdirectory(tool_hello_world)
endif()

add_subdirectory(exec)

option(WITH_KF5WALLET "Building KF5WALLET plugin" OFF)
if(WITH_KF5WALLET)
    CheckHasModule(KF5Wallet)
    if(HAS_MODULE_KF5Wallet)
        message(STATUS "Enabling KDE Wallet plugin.")
        add_definitions(-DWITH_KF5WALLET)
        add_subdirectory(kwallet)
    else()
        message(FATAL_ERROR "libKF5wallet not found but requested")
    endif()
endif()

option(WITH_ST "Build Simple Terminal plugin" OFF)
if(WITH_ST)
    message(STATUS "Enabling ST plugin.")
    add_definitions(-DWITH_ST)
    get_filename_component(_st_fullpath "st" REALPATH)
    if(EXISTS "${_st_fullpath}" AND EXISTS "${_st_fullpath}/CMakeLists.txt")
        add_subdirectory(st)
    else()
        message(WARNING "Can't find ${_st_fullpath}/CMakeLists.txt")
    endif()
endif()

option(WITH_XDMCP "Build XDMCP plugin" OFF)
if(WITH_XDMCP)
    add_definitions(-DWITH_XDMCP)
    message(STATUS "Enabling XDMCP plugin.")
    get_filename_component(_xdmcp_fullpath "xdmcp" REALPATH)
    if(EXISTS "${_xdmcp_fullpath}" AND EXISTS "${_xdmcp_fullpath}/CMakeLists.txt")
        add_subdirectory(xdmcp)
    else()
        message(WARNING "Can't find ${_xdmcp_fullpath}/CMakeLists.txt")
    endif()
endif()

option(WITH_NX "Build NX plugin" OFF)
if(WITH_NX)
    add_definitions(-DWITH_NX)
    # After the plugin split only the NX plugin needs XKBfile.h
    find_required_package(XKBFILE)
    if(LIBSSH_FOUND AND XKBFILE_FOUND)
        message(STATUS "Enabling NX plugin.")
        get_filename_component(_nx_fullpath "nx" REALPATH)
        if(EXISTS "${_nx_fullpath}" AND EXISTS "${_nx_fullpath}/CMakeLists.txt")
            add_subdirectory(nx)
        else()
            message(WARNING "Can't find ${_nx_fullpath}/CMakeLists.txt")
        endif()
    endif()
endif()

option(WITH_PYTHONLIBS "Build Python Wrapper Plugin" ON)
if(WITH_PYTHONLIBS)
    message(STATUS "Enabling Python Wrapper Plugin.")
    add_definitions(-DWITH_PYTHONLIBS)
    find_suggested_package(PythonLibs)
    if(PythonLibs_FOUND)
        add_subdirectory(python_wrapper)
    endif()
else()
    message(STATUS "Disabling Python Wrapper plugin.")
endif()

#find_suggested_package(TELEPATHY)
#if(TELEPATHY_FOUND)
#add_subdirectory(telepathy)
#endif()

=== po/CMakeLists.txt ===
# po/remmina - The GTK+ Remote Desktop Client
#
# Copyright (C) 2011 Marc-Andre Moreau
# Copyright (C) 2014-2022 Antenore Gatta, Giovanni Panozzo
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor,
# Boston, MA  02110-1301, USA.
#
# In addition, as a special exception, the copyright holders give
# permission to link the code of portions of this program with the
# OpenSSL library under certain conditions as described in each
# individual source file, and distribute linked combinations
# including the two.
# You must obey the GNU General Public License in all respects
# for all of the code used other than OpenSSL. If you modify
# file(s) with this exception, you may extend this exception to your
# version of the file(s), but you are not obligated to do so. If you
# do not wish to do so, delete this exception statement from your
# version. If you delete this exception statement from all source
# files in the program, then also delete it here.

include(GETTEXT)
gettext(${CMAKE_CURRENT_SOURCE_DIR} "remmina")

=== src/CMakeLists.txt ===
# src/remmina - The GTK+ Remote Desktop Client
#
# Copyright (C) 2011 Marc-Andre Moreau
# Copyright (C) 2014-2015 Antenore Gatta, Fabio Castelli, Giovanni Panozzo
# Copyright (C) 2016-2022 Antenore Gatta, Giovanni Panozzo
#
# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation; either version 2 of the License, or (at your option) any later
# version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 51 Franklin
# Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
# In addition, as a special exception, the copyright holders give permission to
# link the code of portions of this program with the OpenSSL library under
# certain conditions as described in each individual source file, and distribute
# linked combinations including the two. You must obey the GNU General Public
# License in all respects for all of the code used other than OpenSSL. If you
# modify file(s) with this exception, you may extend this exception to your
# version of the file(s), but you are not obligated to do so. If you do not wish
# to do so, delete this exception statement from your version. If you delete
# this exception statement from all source files in the program, then also
# delete it here.

list(
  APPEND
  REMMINA_SRCS
  "remmina_about.c"
  "remmina_about.h"
  "remmina_applet_menu.c"
  "remmina_applet_menu.h"
  "remmina_applet_menu_item.c"
  "remmina_applet_menu_item.h"
  "remmina_avahi.c"
  "remmina_avahi.h"
  "remmina.c"
  "remmina.h"
  "remmina_chat_window.c"
  "remmina_chat_window.h"
  "remmina_crypt.c"
  "remmina_crypt.h"
  "remmina_exec.c"
  "remmina_exec.h"
  "remmina_file.c"
  "remmina_file_editor.c"
  "remmina_file_editor.h"
  "remmina_file.h"
  "remmina_file_manager.c"
  "remmina_file_manager.h"
  "remmina_ftp_client.c"
  "remmina_ftp_client.h"
  "remmina_icon.c"
  "remmina_icon.h"
  "remmina_key_chooser.c"
  "remmina_key_chooser.h"
  "remmina_log.c"
  "remmina_log.h"
  "remmina_main.c"
  "remmina_main.h"
  "remmina_monitor.c"
  "remmina_monitor.h"
  "remmina_marshals.c"
  "remmina_marshals.h"
  "remmina_marshals.list"
  "remmina_masterthread_exec.c"
  "remmina_masterthread_exec.h"
  "remmina_message_panel.c"
  "remmina_message_panel.h"
  "remmina_plugin_manager.c"
  "remmina_plugin_manager.h"
  "remmina_plugin_native.c"
  "remmina_plugin_native.h"
  "remmina_ext_exec.c"
  "remmina_ext_exec.h"
  "remmina_passwd.c"
  "remmina_passwd.h"
  "remmina_pref.c"
  "remmina_pref_dialog.c"
  "remmina_pref_dialog.h"
  "remmina_pref.h"
  "remmina_protocol_widget.c"
  "remmina_protocol_widget.h"
  "remmina_public.c"
  "remmina_public.h"
  "remmina_scrolled_viewport.c"
  "remmina_scrolled_viewport.h"
  "remmina_sftp_client.c"
  "remmina_sftp_client.h"
  "remmina_sftp_plugin.c"
  "remmina_sftp_plugin.h"
  "remmina_sodium.c"
  "remmina_sodium.h"
  "remmina_ssh.c"
  "remmina_ssh.h"
  "remmina_ssh_plugin.c"
  "remmina_ssh_plugin.h"
  "remmina_string_array.c"
  "remmina_string_array.h"
  "remmina_string_list.c"
  "remmina_string_list.h"
  "remmina_unlock.c"
  "remmina_unlock.h"
  "remmina_utils.c"
  "remmina_utils.h"
  "remmina_widget_pool.c"
  "remmina_widget_pool.h"
  "remmina_external_tools.c"
  "remmina_external_tools.h"
  "remmina_sysinfo.h"
  "remmina_sysinfo.c"
  "rcw.c"
  "rcw.h"
  "rmnews.c"
  "rmnews.h"
  "remmina_mpchange.c"
  "remmina_mpchange.h"
  "remmina_scheduler.c"
  "remmina_scheduler.h"
  "remmina_stats.c"
  "remmina_stats.h"
  "resources.c")

set(RESOURCE_LIST
    ${CMAKE_CURRENT_SOURCE_DIR}/../data/ui/remmina_about.glade
    ${CMAKE_CURRENT_SOURCE_DIR}/../data/ui/remmina_key_chooser.glade
    ${CMAKE_CURRENT_SOURCE_DIR}/../data/ui/remmina_main.glade
    ${CMAKE_CURRENT_SOURCE_DIR}/../data/ui/remmina_mpc.glade
    ${CMAKE_CURRENT_SOURCE_DIR}/../data/ui/remmina_news.glade
    ${CMAKE_CURRENT_SOURCE_DIR}/../data/ui/remmina_passwd.glade
    ${CMAKE_CURRENT_SOURCE_DIR}/../data/ui/remmina_preferences.glade
    ${CMAKE_CURRENT_SOURCE_DIR}/../data/ui/remmina_search.glade
    ${CMAKE_CURRENT_SOURCE_DIR}/../data/ui/remmina_search_popover.glade
    ${CMAKE_CURRENT_SOURCE_DIR}/../data/ui/remmina_snap_info_dialog.glade
    ${CMAKE_CURRENT_SOURCE_DIR}/../data/ui/remmina_spinner.glade
    ${CMAKE_CURRENT_SOURCE_DIR}/../data/ui/remmina_string_list.glade
    ${CMAKE_CURRENT_SOURCE_DIR}/../data/ui/remmina_unlock.glade)
message(DEBUG "Source list set to: " ${REMMINA_SRCS})

compile_gresources(
  RESOURCE_FILE
  XML_OUT
  TYPE
  EMBED_C
  PREFIX
  /org/remmina/Remmina/src
  SOURCE_DIR
  ${CMAKE_CURRENT_SOURCE_DIR}
  RESOURCES
  ${RESOURCE_LIST})

add_custom_target(resource DEPENDS ${RESOURCE_FILE})
add_executable(remmina ${REMMINA_SRCS} ${RESOURCE_FILE})
add_dependencies(remmina resource)
target_link_libraries(remmina ${GTK_LIBRARIES} -rdynamic)

if(WITH_PYTHONLIBS)
  if(PythonLibs_FOUND)
    include_directories(${PYTHON_INCLUDE_DIRS})
    target_link_libraries(remmina ${PYTHON_LIBRARIES})
  endif()
endif()

if(WITH_MANPAGES)
  install(FILES remmina.1 DESTINATION ${CMAKE_INSTALL_FULL_MANDIR}/man1)
endif()

find_package(X11)
include_directories(${X11_INCLUDE_DIR})
target_link_libraries(remmina ${X11_LIBRARIES})

target_link_libraries(remmina ${CMAKE_THREAD_LIBS_INIT})

if(Intl_FOUND)
  message(STATUS "${CMAKE_SYSTEM_NAME} detected, building with Intl")
  include_directories(${Intl_INCLUDE_DIRS})
  target_link_libraries(remmina ${Intl_LIBRARIES})
endif()

find_suggested_package(LIBSSH)
if(LIBSSH_FOUND)
  add_definitions(-DHAVE_LIBSSH)
  include_directories(${LIBSSH_INCLUDE_DIRS})
  target_link_libraries(remmina ${LIBSSH_LIBRARIES})
endif()

if(GCRYPT_FOUND)
  include_directories(${GCRYPT_INCLUDE_DIRS})
  target_link_libraries(remmina ${GCRYPT_LIBRARIES})
endif()

if(AVAHI_FOUND)
  include_directories(${AVAHI_INCLUDE_DIRS})
  target_link_libraries(remmina ${AVAHI_LIBRARIES})
endif()

if(OPENSSL_FOUND)
  include_directories(${OPENSSL_INCLUDE_DIRS})
  target_link_libraries(remmina ${OPENSSL_LIBRARIES})
endif()

option(WITH_VTE "Build with support for VTE" ON)
if(GTK3_FOUND AND WITH_VTE)
  set(_VTE_VERSION_NUMS 2.91 2.90)
  foreach(__VTE_VERSION ${_VTE_VERSION_NUMS})
    set(_VTE_VERSION_NUM ${__VTE_VERSION})
    find_suggested_package(VTE)
    if(VTE_FOUND)
      break()
    endif()
    message(STATUS "VTE ${__VTE_VERSION} not found")
  endforeach()
elseif(WITH_VTE)
  set(_VTE_VERSION_NUM)
  find_package(VTE)
endif()

if(VTE_FOUND)
  add_definitions(-DHAVE_LIBVTE)
  include_directories(${VTE_INCLUDE_DIRS})
  target_link_libraries(remmina ${VTE_LIBRARIES})
endif()

if(sodium_FOUND)
  message(STATUS "Sodium found")
  message(STATUS "Sodium include dirs ${sodium_INCLUDE_DIR}")
  include_directories(${sodium_INCLUDE_DIR})
  target_link_libraries(remmina sodium)
endif()

option(HAVE_LIBAPPINDICATOR "Build with support for status icon. Appindicator is required" ON)
if(GTK3_FOUND)
    if(HAVE_LIBAPPINDICATOR)
        find_required_package(APPINDICATOR)
        if(APPINDICATOR_FOUND)
            add_definitions(-DHAVE_LIBAPPINDICATOR)
            include_directories(${APPINDICATOR_INCLUDE_DIRS})
            target_link_libraries(remmina ${APPINDICATOR_LIBRARIES})
            message(STATUS "AppIndicator library dirs ${APPINDICATOR_LIBRARIES}")
            message(STATUS "AppIndicator include dirs ${APPINDICATOR_INCLUDE_DIRS}")
        else()
            message(FATAL_ERROR "AppIndicator not found")
        endif()
    endif()
  find_required_package(JSONGLIB)
  if(JSONGLIB_FOUND)
    include_directories(${JSONGLIB_INCLUDE_DIRS})
    target_link_libraries(remmina ${JSONGLIB_LIBRARIES})
  else()
    message(FATAL_ERROR "json-glib library not found")
  endif()
  find_required_package(LIBSOUP24)
  if(LIBSOUP24_FOUND)
    include_directories(${LIBSOUP24_INCLUDE_DIRS})
    target_link_libraries(remmina ${LIBSOUP24_LIBRARIES})
  else()
    message(FATAL_ERROR "libsoup 2.4 library not found")
  endif()
endif()

find_required_package(PCRE2)
if(NOT PCRE2_FOUND)
  message(FATAL_ERROR "libpcre2 library not found")
endif()
include_directories(${PCRE2_INCLUDE_DIRS})

add_subdirectory(external_tools)

install(TARGETS remmina DESTINATION ${CMAKE_INSTALL_BINDIR})
install(
  DIRECTORY include/remmina/
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/remmina
  FILES_MATCHING
  PATTERN "*.h")

=== plugins/spice/CMakeLists.txt ===
# Remmina - The GTK+ Remote Desktop Client
#
# Copyright (C) 2016-2018 Denis Ollier
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor,
# Boston, MA  02110-1301, USA.
#
#  In addition, as a special exception, the copyright holders give
#  permission to link the code of portions of this program with the
#  OpenSSL library under certain conditions as described in each
#  individual source file, and distribute linked combinations
#  including the two.
#  You must obey the GNU General Public License in all respects
#  for all of the code used other than OpenSSL. *  If you modify
#  file(s) with this exception, you may extend this exception to your
#  version of the file(s), but you are not obligated to do so. *  If you
#  do not wish to do so, delete this exception statement from your
#  version. *  If you delete this exception statement from all source
#  files in the program, then also delete it here.

set(REMMINA_PLUGIN_SPICE_SRCS
        spice_plugin.c
        spice_plugin_file_transfer.c
        spice_plugin_usb.c
        )

add_library(remmina-plugin-spice ${REMMINA_PLUGIN_SPICE_SRCS})
set_target_properties(remmina-plugin-spice PROPERTIES PREFIX "")
set_target_properties(remmina-plugin-spice PROPERTIES NO_SONAME 1)

include_directories(${REMMINA_COMMON_INCLUDE_DIRS} ${SPICE_INCLUDE_DIRS})
target_link_libraries(remmina-plugin-spice ${REMMINA_COMMON_LIBRARIES} ${SPICE_LIBRARIES})

install(TARGETS remmina-plugin-spice DESTINATION ${REMMINA_PLUGINDIR})

install(FILES
    scalable/emblems/org.remmina.Remmina-spice-ssh-symbolic.svg
    scalable/emblems/org.remmina.Remmina-spice-symbolic.svg
    DESTINATION ${APPICONSCALE_EMBLEMS_DIR})

if(WITH_ICON_CACHE)
    gtk_update_icon_cache("${REMMINA_DATADIR}/icons/hicolor")
endif()

=== plugins/vnc/CMakeLists.txt ===
# remmina-plugin-vnc - The GTK+ Remote Desktop Client
#
# Copyright (C) 2011 Marc-Andre Moreau
# Copyright (C) 2014-2022 Antenore Gatta, Giovanni Panozzo
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor,
# Boston, MA  02110-1301, USA.
#
# In addition, as a special exception, the copyright holders give
# permission to link the code of portions of this program with the
# OpenSSL library under certain conditions as described in each
# individual source file, and distribute linked combinations
# including the two.
# You must obey the GNU General Public License in all respects
# for all of the code used other than OpenSSL. If you modify
# file(s) with this exception, you may extend this exception to your
# version of the file(s), but you are not obligated to do so. If you
# do not wish to do so, delete this exception statement from your
# version. If you delete this exception statement from all source
# files in the program, then also delete it here.


set(LIBVNCSERVER_INCLUDE_DIRS)
set(LIBVNCSERVER_LIBRARIES vncclient)

set(REMMINA_PLUGIN_VNC_SRCS
	vnc_plugin.c
	vnc_plugin.h
)

add_library(remmina-plugin-vnc MODULE ${REMMINA_PLUGIN_VNC_SRCS})
set_target_properties(remmina-plugin-vnc PROPERTIES PREFIX "")
set_target_properties(remmina-plugin-vnc PROPERTIES NO_SONAME 1)

include_directories(${REMMINA_COMMON_INCLUDE_DIRS} ${LIBVNCSERVER_INCLUDE_DIRS})
target_link_libraries(remmina-plugin-vnc ${REMMINA_COMMON_LIBRARIES} ${LIBVNCSERVER_LIBRARIES})

install(TARGETS remmina-plugin-vnc DESTINATION ${REMMINA_PLUGINDIR})

install(FILES
    scalable/emblems/org.remmina.Remmina-vnc-ssh-symbolic.svg
    scalable/emblems/org.remmina.Remmina-vnc-symbolic.svg
    DESTINATION ${APPICONSCALE_EMBLEMS_DIR})

if(WITH_ICON_CACHE)
    gtk_update_icon_cache("${REMMINA_DATADIR}/icons/hicolor")
endif()

=== plugins/www/CMakeLists.txt ===
# remmina-plugin-www - The GTK+ Remote Desktop Client
#
# Copyright (C) 2016-2022 Antenore Gatta, Giovanni Panozzo
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor,
# Boston, MA  02110-1301, USA.
#
# In addition, as a special exception, the copyright holders give
# permission to link the code of portions of this program with the
# OpenSSL library under certain conditions as described in each
# individual source file, and distribute linked combinations
# including the two.
# You must obey the GNU General Public License in all respects
# for all of the code used other than OpenSSL. If you modify
# file(s) with this exception, you may extend this exception to your
# version of the file(s), but you are not obligated to do so. If you
# do not wish to do so, delete this exception statement from your
# version. If you delete this exception statement from all source
# files in the program, then also delete it here.


set(REMMINA_PLUGIN_WWW_SRCS
	www_utils.c
	www_utils.h
        www_config.h
        www_plugin.c
        www_plugin.h
)

add_library(remmina-plugin-www MODULE ${REMMINA_PLUGIN_WWW_SRCS})
set_target_properties(remmina-plugin-www PROPERTIES PREFIX "")
set_target_properties(remmina-plugin-www PROPERTIES NO_SONAME 1)

add_definitions(${WEBKIT2GTK_CFLAGS_OTHER})

find_required_package(LIBSOUP24)
if(LIBSOUP24_FOUND)
    include_directories(${REMMINA_COMMON_INCLUDE_DIRS} ${WEBKIT2GTK_INCLUDE_DIRS} ${LIBSOUP24_INCLUDE_DIRS})
    target_link_libraries(remmina-plugin-www ${REMMINA_COMMON_LIBRARIES} ${LIBSOUP24_LIBRARIES} ${WEBKIT2GTK_LIBRARIES})
else()
    message(FATAL_ERROR "libsoup 2.4 library not found")
endif()

install(TARGETS remmina-plugin-www DESTINATION ${REMMINA_PLUGINDIR})

install(FILES
    scalable/emblems/org.remmina.Remmina-www-symbolic.svg
    DESTINATION ${APPICONSCALE_EMBLEMS_DIR})

if(WITH_ICON_CACHE)
    gtk_update_icon_cache("${REMMINA_DATADIR}/icons/hicolor")
endif()

# In the feature we will have more resources to add, so I use a GLOB
file(GLOB WWW_RES_FILES "${CMAKE_CURRENT_SOURCE_DIR}/resources/js/www-js.js")
foreach(ITEM ${WWW_RES_FILES})
    list( APPEND FILES_TO_DEPLOY "${ITEM}" )
endforeach()
install( FILES ${FILES_TO_DEPLOY} DESTINATION "${REMMINA_RESDIR}" )

=== debian/changelog ===
remmina (1.4.27+dfsg-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Revert "Temporarily stop building the spice plugin"

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 17 Aug 2022 13:49:33 +0200

=== debian/control ===
Source: remmina
Section: x11
Priority: optional
Maintainer: Debian Remote Maintainers <debian-remote@lists.debian.org>
Uploaders:
 Matteo F. Vescovi <mfv@debian.org>
Build-Depends:
 cmake (>= 3.5),
 debhelper-compat (= 13),
 freerdp2-dev (>= 2.2.0~),
 intltool,
 libayatana-appindicator3-dev,
 libavahi-ui-gtk3-dev (>= 0.6.0),
 libcups2-dev,
 libgcrypt-dev | libgcrypt20-dev,
 libglib2.0-dev,
 libgnutls28-dev,
 libgtk-3-dev,
 libjpeg-dev,
 libjson-glib-dev,
 libkf5wallet-dev,
 libsecret-1-dev,
 libsodium-dev,
 libsoup2.4-dev,
 libspice-client-glib-2.0-dev,
 libspice-client-gtk-3.0-dev,
 libspice-protocol-dev,
 libssh-dev (>= 0.8.1),
 libvncserver-dev,
 libvte-2.91-dev,
 libwebkit2gtk-4.0-dev,
 libxkbfile-dev,
 python3-dev
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://www.remmina.org/
Vcs-Git: https://salsa.debian.org/debian-remote-team/remmina.git
Vcs-Browser: https://salsa.debian.org/debian-remote-team/remmina

Package: remmina
Architecture: any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 remmina-common (= ${source:Version}),
 default-dbus-session-bus | dbus-session-bus
Recommends:
 remmina-plugin-rdp,
 remmina-plugin-vnc,
 remmina-plugin-secret
Suggests:
 remmina-plugin-exec,
 remmina-plugin-kwallet,
 remmina-plugin-python,
 remmina-plugin-spice,
 remmina-plugin-www,
 remmina-plugin-x2go
Description: GTK+ Remote Desktop Client
 Remmina is a remote desktop client written in GTK+, aiming to be
 useful for system administrators and travellers, who need to work
 with lots of remote computers in front of either large monitors or
 tiny netbooks.
 .
 Remmina supports multiple network protocols in an integrated and
 consistent user interface.
 .
 Currently RDP, VNC, SPICE, WWW, X2Go, EXEC and SSH are supported.

Package: remmina-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: remmina
Description: Common files for Remmina
 Remmina is a remote desktop client written in GTK+, aiming to be
 useful for system administrators and travellers, who need to work
 with lots of remote computers in front of either large monitors or
 tiny netbooks.
 .
 Remmina supports multiple network protocols in an integrated and
 consistent user interface.
 .
 Currently RDP, VNC, SPICE, WWW, X2Go, EXEC and SSH are supported.
 .
 This package contains the common files.

Package: remmina-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 remmina (= ${binary:Version})
Description: Headers for Remmina
 Remmina is a remote desktop client written in GTK+, aiming to be
 useful for system administrators and travellers, who need to work
 with lots of remote computers in front of either large monitors or
 tiny netbooks.
 .
 Remmina supports multiple network protocols in an integrated and
 consistent user interface.
 .
 Currently RDP, VNC, SPICE, WWW, X2Go, EXEC and SSH are supported.
 .
 This package contains the development headers for Remmina, to develop
 new plugins.

Package: remmina-plugin-rdp
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 remmina (= ${binary:Version})
Description: RDP plugin for Remmina
 Remmina is a remote desktop client written in GTK+, aiming to be
 useful for system administrators and travellers, who need to work
 with lots of remote computers in front of either large monitors or
 tiny netbooks.
 .
 Remmina supports multiple network protocols in an integrated and
 consistent user interface.
 .
 Currently RDP, VNC, SPICE, WWW, X2Go, EXEC and SSH are supported.
 .
 This package contains the RDP plugin for Remmina.

Package: remmina-plugin-vnc
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 remmina (= ${binary:Version})
Description: VNC plugin for Remmina
 Remmina is a remote desktop client written in GTK+, aiming to be
 useful for system administrators and travellers, who need to work
 with lots of remote computers in front of either large monitors or
 tiny netbooks.
 .
 Remmina supports multiple network protocols in an integrated and
 consistent user interface.
 .
 Currently RDP, VNC, SPICE, WWW, X2Go, EXEC and SSH are supported.
 .
 This package contains the VNC plugin for Remmina.

Package: remmina-plugin-spice
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 remmina (= ${binary:Version}),
Description: Spice plugin for Remmina
 Remmina is a remote desktop client written in GTK+, aiming to be
 useful for system administrators and travellers, who need to work
 with lots of remote computers in front of either large monitors or
 tiny netbooks.
 .
 Remmina supports multiple network protocols in an integrated and
 consistent user interface.
 .
 Currently RDP, VNC, SPICE, WWW, X2Go, EXEC and SSH are supported.
 .
 This package contains the Spice plugin for Remmina.

Package: remmina-plugin-secret
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 remmina (= ${binary:Version})
Breaks: remmina-plugin-gnome
Replaces: remmina-plugin-gnome
Description: Secret plugin for Remmina
 Remmina is a remote desktop client written in GTK+, aiming to be
 useful for system administrators and travellers, who need to work
 with lots of remote computers in front of either large monitors or
 tiny netbooks.
 .
 Remmina supports multiple network protocols in an integrated and
 consistent user interface.
 .
 Currently RDP, VNC, SPICE, WWW, X2Go, EXEC and SSH are supported.
 .
 This package contains the secret plugin for Remmina, which
 allows one to store and retrieve passwords from GNOME Keyring
 or KWallet.

Package: remmina-plugin-exec
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 remmina (= ${binary:Version})
Description: EXEC plugin for Remmina
 Remmina is a remote desktop client written in GTK+, aiming to be
 useful for system administrators and travellers, who need to work
 with lots of remote computers in front of either large monitors or
 tiny netbooks.
 .
 Remmina supports multiple network protocols in an integrated and
 consistent user interface.
 .
 Currently RDP, VNC, SPICE, WWW, X2Go, EXEC and SSH are supported.
 .
 This package contains the EXEC plugin for Remmina.

Package: remmina-plugin-kwallet
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 remmina (= ${binary:Version})
Description: KWallet plugin for Remmina
 Remmina is a remote desktop client written in GTK+, aiming to be
 useful for system administrators and travellers, who need to work
 with lots of remote computers in front of either large monitors or
 tiny netbooks.
 .
 Remmina supports multiple network protocols in an integrated and
 consistent user interface.
 .
 Currently RDP, VNC, SPICE, WWW, X2Go, EXEC and SSH are supported.
 .
 This package contains the KWallet plugin for Remmina, which
 allows one to store and retrieve passwords using the KDE wallet.

Package: remmina-plugin-www
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 remmina (= ${binary:Version})
Description: WWW plugin for Remmina
 Remmina is a remote desktop client written in GTK+, aiming to be
 useful for system administrators and travellers, who need to work
 with lots of remote computers in front of either large monitors or
 tiny netbooks.
 .
 Remmina supports multiple network protocols in an integrated and
 consistent user interface.
 .
 Currently RDP, VNC, SPICE, WWW, EXEC and SSH are supported.
 .
 This package contains the WWW plugin for Remmina, used to open
 Web based consoles.

Package: remmina-plugin-kiosk
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 remmina (= ${binary:Version})
Description: Kiosk plugin for Remmina
 Remmina is a remote desktop client written in GTK+, aiming to be
 useful for system administrators and travellers, who need to work
 with lots of remote computers in front of either large monitors or
 tiny netbooks.
 .
 Remmina supports multiple network protocols in an integrated and
 consistent user interface.
 .
 Currently RDP, VNC, SPICE, WWW, X2Go, EXEC and SSH are supported.
 .
 This package contains the Kiosk plugin for Remmina.

Package: remmina-plugin-x2go
Architecture: any
Multi-Arch: same
Depends:
 pyhoca-cli,
 remmina (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Description: X2Go plugin for Remmina
 Remmina is a remote desktop client written in GTK+, aiming to be
 useful for system administrators and travellers, who need to work
 with lots of remote computers in front of either large monitors or
 tiny netbooks.
 .
 Remmina supports multiple network protocols in an integrated and
 consistent user interface.
 .
 Currently RDP, VNC, SPICE, WWW, X2Go, EXEC and SSH are supported.
 .
 This package contains the X2Go plugin for Remmina.

Package: remmina-plugin-python
Architecture: any
Multi-Arch: same
Depends:
 remmina (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Description: Python support for Remmina
 Remmina is a remote desktop client written in GTK+, aiming to be
 useful for system administrators and travellers, who need to work
 with lots of remote computers in front of either large monitors or
 tiny netbooks.
 .
 Remmina supports multiple network protocols in an integrated and
 consistent user interface.
 .
 Currently RDP, VNC, SPICE, WWW, X2Go, EXEC and SSH are supported.
 .
 This package contains the Python API, it can be used to run and
 develop plugins for Remmina in Python.
